View Issue Details

IDProjectCategoryView StatusLast Update
0012223ScribusUndo/Redopublic2019-11-04 15:58
ReporterFirasH Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.5Fixed in Version1.5.6.svn 
Summary0012223: Undo is not able to restore properly a rotated Spiral
DescriptionUndoing a rotation of a Spiral leads to a strange Spiral which its only visible part is the black line of the bounding box.
Steps To Reproduce0) Create a new document
1) Insert a Spiral
2) Apply a rotation with Rotate Item tool (press R button)
3) Undo

The bounding box of the Spiral is the only part visible because it looks like a polygon with a back contour line.

Double-click on the Spiral and edit one of its properties: the Spiral is restored.
Additional InformationScribus 1.5.0 SVN (19047)
TagsNo tags attached.
Patch

Relationships

related to 0012320 resolvedjghali Undo/Redo does not restore properly a flipped Spiral 
related to 0012224 confirmed Undo duplicates a Spiral converted to Polygon 
child of 0012500 acknowledged Metabug: Undo/Redo (1.5.x.svn) 

Activities

FirasH

2014-04-19 17:30

developer   ~0031713

Last edited: 2014-04-19 17:32

View 2 revisions

Simplest way to reproduce the issue:
0) Create a new document
1) Insert a Spiral
2) Undo
3) Redo

Note: doing so does not happen every time

FirasH

2014-05-17 18:16

developer   ~0031863

Happens even flipping horizontally and vertically the Spiral.

Kunda

2014-07-07 22:35

manager   ~0032565

Confirmed 1.5svn r19322

Issue History

Date Modified Username Field Change
2014-04-19 17:21 FirasH New Issue
2014-04-19 17:30 FirasH Note Added: 0031713
2014-04-19 17:32 FirasH Note Edited: 0031713 View Revisions
2014-05-17 18:16 FirasH Note Added: 0031863
2014-07-07 15:15 FirasH Relationship added related to 0012320
2014-07-07 22:35 Kunda Note Added: 0032565
2014-07-07 22:35 Kunda Status new => confirmed
2014-07-07 22:35 Kunda Target Version => 1.5.1
2014-07-09 01:23 FirasH Relationship added child of 0012500
2014-08-31 19:00 Kunda Relationship added related to 0012224
2015-11-29 13:55 Kunda Target Version 1.5.1 => 1.5.2
2016-01-23 17:15 cbradney Target Version 1.5.2 => 1.5.4.svn
2016-05-15 23:06 Kunda Target Version 1.5.4.svn => 1.5.5
2019-11-04 15:58 jghali Assigned To => jghali
2019-11-04 15:58 jghali Status confirmed => resolved
2019-11-04 15:58 jghali Resolution open => fixed
2019-11-04 15:58 jghali Fixed in Version => 1.5.6.svn